import java.awt.*;
import javax.swing.*;

public class F8_exempel1 extends JFrame{
  private JPanel panel;
  private TextYta ty;
  private Image bild;

  public F8_exempel1(){
    setBackground(new Color(204, 0, 0));
    this.setSize(375, 225);
    Toolkit tk = Toolkit.getDefaultToolkit();
    bild = tk.getImage("bild.jpg");
    ty = new TextYta(bild);
    add(BorderLayout.CENTER, ty);
    setVisible(true);
    setDefaultCloseOperation(EXIT_ON_CLOSE);
  }//konstruktor

  public static void main(String[] args){
	  new F8_exempel1();
  }

}//F8_exempel1

class TextYta extends JPanel{
   private Image bild;
   private String text;
   private Font minFont;
   private FontMetrics fm;
   private Dimension dim;
   private int x, y;

    public TextYta(Image bild){
      super();
      this.setSize(375, 225);
      this.bild = bild;
      minFont = new Font("TimesRoman", java.awt.Font.BOLD, 52);
      text = new String("Hej ITKP1!");
    }

    public void paintComponent(Graphics g){
      super.paintComponent(g);
      g.drawImage(bild, 0, 0, this);
      g.setColor(new Color(70, 70, 70));
      g.setFont(minFont);
      fm = g.getFontMetrics(minFont);
      dim = getSize();
      int sWidth = fm.stringWidth(text);
      x = (dim.width/2) - (sWidth/2) + 35;
      y = 160;
      g.drawString(text,x, y);
    }//paintComponent

}//TextYta
